Function
length
The number of items/characters.
Size length(object)
Include Headers
seqan/file.h, seqan/sequence.h
Parameters

object | A container. Types: ContainerConcept: Gaps, ModifiedString, String BamTagsDict, char array, CompressedSA, Finder, FrequencyDistribution, Map, MaxRepeats Iterator, Pipe, Pool, PriorityType, RankSupportBitString, SeedSet, SeedSet, Segment, Shape, Shape, SparseString, Splitter, std::basic_string, std::list, StringEnumerator, StringSet, UnionFind
container | Types: thrust::device_vector

Remarks
The length of a sequence can never exceed it's capacity.
Return Values
The number of items/characters in object.
Metafunctions: Size
Member of
Map, thrust::device_vector, String, FrequencyDistribution, CompressedSA, std::basic_string, Segment, MaxRepeats Iterator, PriorityType, RankSupportBitString, Pipe, Shape, std::list, char array, Splitter, StringEnumerator, Finder, StringSet, UnionFind, Pool, SparseString
Part of Concept
ContainerConcept, Container
See Also
capacity, clear, shrinkToFit, empty, difference, resize
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58